Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierSyncMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierSyncMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierSyncMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected BloomFilter` | `BloomFilter` DESCRIBE THE FIELD
`protected int` | `offsetFID` DESCRIBE THE FIELD
`protected IdRange` | `range` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierSyncMessage(int uid, IdRange range, int offsetFID, BloomFilter BloomFilter, NodeHandle source, Id dest, char tag)` Constructor for GlacierSyncMessage.

Method Summary
`BloomFilter` | `getBloomFilter()` Gets the BloomFilter attribute of the GlacierSyncMessage object
`int` | `getOffsetFID()` Gets the OffsetFID attribute of the GlacierSyncMessage object
`IdRange` | `getRange()` Gets the Range attribute of the GlacierSyncMessage object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### range

    protected IdRange range

  DESCRIBE THE FIELD

### offsetFID

    protected int offsetFID

  DESCRIBE THE FIELD

### BloomFilter

    protected BloomFilter BloomFilter

  DESCRIBE THE FIELD

Constructor Detail

### GlacierSyncMessage

    public GlacierSyncMessage(int uid,
                              IdRange range,
                              int offsetFID,
                              BloomFilter BloomFilter,
                              NodeHandle source,
                              Id dest,
                              char tag)

  Constructor for GlacierSyncMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `range` - DESCRIBE THE PARAMETER
  `offsetFID` - DESCRIBE THE PARAMETER
  `BloomFilter` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getOffsetFID

    public int getOffsetFID()

  Gets the OffsetFID attribute of the GlacierSyncMessage object

  Returns:
    The OffsetFID value

### getRange

    public IdRange getRange()

  Gets the Range attribute of the GlacierSyncMessage object

  Returns:
    The Range value

### getBloomFilter

    public BloomFilter getBloomFilter()

  Gets the BloomFilter attribute of the GlacierSyncMessage object

  Returns:
    The BloomFilter value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.